Subject: bug#20271: 24.4; Can't change cursor type in w32

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Apr 2015 18:12:47 +0300

> From: [email-masked] (João Távora)
> Cc: [email-masked]
> Date: Tue, 14 Apr 2015 13:45:05 +0100
> 
> > Sounds like an entry in etc/PROBLEMS is in order.  Can you propose
> > one, with a few details about turning the Magnifier on and off?
> 
> Sorry for the delay. Here's a proposed entry, though it does not say
> much more than what I have said now. There is apparently no way to "turn
> if off" in a way that it doesn't affect more Emacs sessions. All you can
> do is close its little window. 

Thanks.

> > Yes, you can get a 32-bit Windows build of GDB 7.9, the latest
> > released version, from ezwinports.
> 
> Thanks. I need it to debug the following symptom (completely unrelated
> to this bug, maybe not Emacs's fault, should I open a new bug?):

Yes, a new bug is in order.

> * In a diff-mode buffer, press C-c C-c (`diff-goto-source`)
> 
> * _sometimes_, a 5-6 second unquitabble delay occurs.

Does this "sometimes" happen with the same files?  Or does each file
behaves consistently, either always causing a delay or never causing
it?  (Please answer in the new bug report.)

> * Regardless of whether the delay takes place or not, the above command
>   always runs to the end *before* the delay occurs, as seen by its
>   parting `message' call.

Which might mean that the delay is part of visiting the source file.